Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.fill
Class JRFillChartAxis

    java.lang.Object
      net.sf.jasperreports.charts.fill.JRFillChartAxis

All Implemented Interfaces:
  java.lang.Cloneable, JRChartAxis, JRCloneable

    public class JRFillChartAxis

extends java.lang.Object
implements JRChartAxis

Describes an axis that can be added to a multiple axis chart. The name "axis" is a bit of a misnomer, as it really contains information about a new dataset to plot, the axis to plot it against, and how to render that dataset.

Version:
  $Id: JRFillChartAxis.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Barry Klawans (barry@users.sourceforge.net)

Field Summary
`protected JRFillChart` | `fillChart` The filled version of the `chart` field.
`protected JRChartAxis` | `parent`

Fields inherited from interface net.sf.jasperreports.charts.JRChartAxis
`POSITION_LEFT_OR_TOP, POSITION_RIGHT_OR_BOTTOM`

Constructor Summary
`JRFillChartAxis(JRChartAxis axis, JRFillObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`JRChart` | `getChart()` Returns the chart that contains the dataset and plot to use for this axis.
`JRFillChart` | `getFillChart()` Return the filled version of the chart with the dataset and plot for this axis.
`byte` | `getPosition()` Deprecated. Replaced by `getPositionValue()`
`java.lang.Byte` | `getPositionByte()` Deprecated. Replaced by `getPositionValue()`
`AxisPositionEnum` | `getPositionValue()` Gets the position of this axis.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected JRChartAxis parent

### fillChart

    protected JRFillChart fillChart

  The filled version of the `chart` field. Contains evaluated expressions and data.

Constructor Detail

### JRFillChartAxis

    public JRFillChartAxis(JRChartAxis axis,
                           JRFillObjectFactory factory)

Method Detail

### getFillChart

    public JRFillChart getFillChart()

  Return the filled version of the chart with the dataset and plot for this axis.

  Returns:
    the filled version of the chart with the dataset and plot for this axis

### getChart

    public JRChart getChart()

  Description copied from interface: `JRChartAxis`
  Returns the chart that contains the dataset and plot to use for this axis. The plot is used to figure out how to render the dataset when adding to the multiple axis chart.

  Specified by:
    `getChart` in interface `JRChartAxis`
  Returns:
    the chart that contains the dataset and plot for this axis

### getPosition

    public byte getPosition()

  Deprecated. Replaced by `getPositionValue()`

  Specified by:
    `getPosition` in interface `JRChartAxis`

### getPositionByte

    public java.lang.Byte getPositionByte()

  Deprecated. Replaced by `getPositionValue()`

  Specified by:
    `getPositionByte` in interface `JRChartAxis`

### getPositionValue

    public AxisPositionEnum getPositionValue()

  Description copied from interface: `JRChartAxis`
  Gets the position of this axis.

  Specified by:
    `getPositionValue` in interface `JRChartAxis`
  Returns:
    the position of this axis

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com